UserDefinedSolidBeamSectionBuilder Class

class NXOpen.CAE.UserDefinedSolidBeamSectionBuilder

Bases: NXOpen.CAE.IBeamSectionBuilder

Represents a NXOpen.CAE.UserDefinedSolidBeamSectionBuilder

To create a new instance of this class, use NXOpen.CAE.BeamSectionCollection.CreateUserDefinedSolidBeamSectionBuilder()

New in version NX7.5.0.

Properties

Property Description
DescriptorName Returns or sets the section descriptor name
DirectionType Returns or sets the option to define reference vector
PropertyTable Returns the section builder’s NXOpen.CAE.PropertyTable
ReferenceVector Returns or sets the reference vector
SectionName Returns or sets the section name
SolidFace Returns the solid face
Tag Returns the Tag for this object.

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetObject Returns the object currently being edited by this builder.
GetUserDefinedStressRecoveryPoints Gets the user-defined stress recovery points.
SetUserDefinedStressRecoveryPoints Sets the user-defined stress recovery points.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

DescriptorName

UserDefinedSolidBeamSectionBuilder.DescriptorName

Returns or sets the section descriptor name

-------------------------------------

Getter Method

Signature DescriptorName

Returns:
Return type:str

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature DescriptorName

Parameters:descriptorName (str) –

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

DirectionType

UserDefinedSolidBeamSectionBuilder.DirectionType

Returns or sets the option to define reference vector

-------------------------------------

Getter Method

Signature DirectionType

Returns:
Return type:NXOpen.CAE.BeamSectionDirectionOption

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature DirectionType

Parameters:directionType (NXOpen.CAE.BeamSectionDirectionOption) –

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

ReferenceVector

UserDefinedSolidBeamSectionBuilder.ReferenceVector

Returns or sets the reference vector

-------------------------------------

Getter Method

Signature ReferenceVector

Returns:
Return type:NXOpen.Direction

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ReferenceVector

Parameters:referenceVector (NXOpen.Direction) –

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SolidFace

UserDefinedSolidBeamSectionBuilder.SolidFace

Returns the solid face

-------------------------------------

Getter Method

Signature SolidFace

Returns:
Return type:NXOpen.CAE.SelectCAEFace

New in version NX7.5.0.

License requirements: None.

Method Detail

Validate

UserDefinedSolidBeamSectionBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.